{-# LANGUAGE LambdaCase #-}
module Operations.List where

import Control.Monad.Buuka
import Control.Monad.Reader
       (asks, liftIO)

import Data.Foldable
       (traverse_)

import Data.Buuka
       (Buuka)
import qualified Data.Buuka as B

import Operations.Format


list :: BuukaM ()
list =
  buukaQ (asks go) >>= traverse_ (liftIO . putStrLn)
  where
    go :: Buuka -> [String]
    go b = formatEntries b (B.elements b)
